Bug 233370 - textproc/chkascii: Update to 1.2
Summary: textproc/chkascii: Update to 1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-21 10:04 UTC by bourne.identity@hotmail.com
Modified: 2018-12-14 23:11 UTC (History)
2 users (show)

See Also:
linimon: maintainer-feedback+


Attachments
shar archive for updated chkascii (2.01 KB, text/plain)
2018-11-21 10:04 UTC, bourne.identity@hotmail.com
no flags Details
shar archive for updated chkascii (Attempt# 2) (2.01 KB, text/plain)
2018-11-21 10:16 UTC, bourne.identity@hotmail.com
no flags Details
shar archive for updated chkascii (Attempt# 3) (2.04 KB, text/plain)
2018-11-21 14:28 UTC, bourne.identity@hotmail.com
no flags Details
Diff to be applied for chkascii 1.0 to update to version 1.1 (895 bytes, patch)
2018-11-21 14:29 UTC, bourne.identity@hotmail.com
no flags Details | Diff
shar archive for updated chkascii (Attempt# 4) (2.04 KB, text/plain)
2018-12-02 15:31 UTC, bourne.identity@hotmail.com
no flags Details
Diff to be applied for chkascii 1.0 to update to version 1.2 (897 bytes, patch)
2018-12-02 15:32 UTC, bourne.identity@hotmail.com
no flags Details | Diff
shar archive for updated chkascii (Attempt# 5) (2.04 KB, text/plain)
2018-12-02 16:22 UTC, bourne.identity@hotmail.com
no flags Details
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 5) (897 bytes, patch)
2018-12-02 16:24 UTC, bourne.identity@hotmail.com
no flags Details | Diff
shar archive for updated chkascii (Attempt# 6) (2.04 KB, text/plain)
2018-12-02 16:46 UTC, bourne.identity@hotmail.com
no flags Details
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 6) (897 bytes, patch)
2018-12-02 16:47 UTC, bourne.identity@hotmail.com
no flags Details | Diff
shar archive for updated chkascii (Attempt# 7) (2.04 KB, text/plain)
2018-12-02 16:59 UTC, bourne.identity@hotmail.com
no flags Details
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 7) (897 bytes, patch)
2018-12-02 17:00 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 8) (897 bytes, patch)
2018-12-03 08:44 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 9) (897 bytes, patch)
2018-12-03 08:50 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 10) (897 bytes, patch)
2018-12-04 22:13 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 11) (897 bytes, patch)
2018-12-07 10:35 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 12) (897 bytes, patch)
2018-12-07 11:38 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 13) (897 bytes, patch)
2018-12-07 14:21 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 14) (897 bytes, patch)
2018-12-07 14:31 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 15) (897 bytes, patch)
2018-12-08 01:33 UTC, bourne.identity@hotmail.com
no flags Details | Diff
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 16) (897 bytes, patch)
2018-12-08 02:20 UTC, bourne.identity@hotmail.com
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bourne.identity@hotmail.com 2018-11-21 10:04:48 UTC
Created attachment 199404 [details]
shar archive for updated chkascii

This is an update for the initial release of the new port chkascii :

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=233254

The app now shows 2-d coordinates of bad ASCII value.
The man page mentions hexedit.

For clarity, the version of this update has been incremented to 1.1
Comment 1 bourne.identity@hotmail.com 2018-11-21 10:16:59 UTC
Created attachment 199405 [details]
shar archive for updated chkascii (Attempt# 2)

Minor fix in man page version (1.0 -> 1.1)
Comment 2 Mateusz Piotrowski freebsd_committer 2018-11-21 13:26:39 UTC
Please follow the instructions from the porter's handbook: https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/port-upgrading.html
Comment 3 bourne.identity@hotmail.com 2018-11-21 14:28:54 UTC
Created attachment 199421 [details]
shar archive for updated chkascii (Attempt# 3)

Makefile now has LICENSE_FILE
Comment 4 bourne.identity@hotmail.com 2018-11-21 14:29:58 UTC
Created attachment 199422 [details]
Diff to be applied for chkascii 1.0 to update to version 1.1
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2018-11-28 08:57:49 UTC
Fix Synopsis.

fwiw I don't see the change to the LICENSE_FILE in the Makefile.
Comment 6 bourne.identity@hotmail.com 2018-11-28 09:15:18 UTC
Hi Mark,

My Makefile has this (if I am not mistaken):

LICENSE=   GPLv2+
LICENSE_FILE=  ${WRKSRC}/LICENSE

Is that not enough ? The actual file LICENSE is hosted at the GitHub repo.
Please let me know if you need me to make any changes.

I could not understand what you mean by 'Fix Synopsis'. Kindly elaborate.


Thanks.
Manish Jain
Comment 7 bourne.identity@hotmail.com 2018-12-02 15:31:29 UTC
Created attachment 199750 [details]
shar archive for updated chkascii (Attempt# 4)

shar archive for updated chkascii now enhanced for printing summary (--summary).
Comment 8 bourne.identity@hotmail.com 2018-12-02 15:32:09 UTC
Created attachment 199751 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2
Comment 9 bourne.identity@hotmail.com 2018-12-02 16:22:55 UTC
Created attachment 199752 [details]
shar archive for updated chkascii (Attempt# 5)

Minor fix over Attempt# 4
Comment 10 bourne.identity@hotmail.com 2018-12-02 16:24:30 UTC
Created attachment 199753 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 5)
Comment 11 bourne.identity@hotmail.com 2018-12-02 16:46:57 UTC
Created attachment 199754 [details]
shar archive for updated chkascii (Attempt# 6)

Another minor fix -- multiple --accept parameters disabled
Comment 12 bourne.identity@hotmail.com 2018-12-02 16:47:51 UTC
Created attachment 199755 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 6)
Comment 13 bourne.identity@hotmail.com 2018-12-02 16:59:27 UTC
Created attachment 199756 [details]
shar archive for updated chkascii (Attempt# 7)

Yet another minor fix
Comment 14 bourne.identity@hotmail.com 2018-12-02 17:00:04 UTC
Created attachment 199757 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 7)
Comment 15 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-03 02:33:43 UTC
Comment on attachment 199756 [details]
shar archive for updated chkascii (Attempt# 7)

.shar format is only optionally used for new (uncommitted) ports. After creation, port updates are to be provided in unified diff formatted patches.
Comment 16 bourne.identity@hotmail.com 2018-12-03 07:51:37 UTC
Hi Kubilay,

Thanks for reverting. I anyway like to upload the shar as well (along with the diff). I hope that is okay with you. If not, please let me know.

Is the port now good enough for a commit ? If yes, I request the needed action for a commit.


Thanks.
Manish Jain
Comment 17 bourne.identity@hotmail.com 2018-12-03 08:44:01 UTC
Created attachment 199785 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 8)

Contains fix (exit code 1 -> -1)
Comment 18 bourne.identity@hotmail.com 2018-12-03 08:50:46 UTC
Created attachment 199786 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 9)

A fix for exit code remained to be applied in included headers. Now done.
Comment 19 bourne.identity@hotmail.com 2018-12-04 22:13:14 UTC
Created attachment 199830 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 10)

Removed an unnecessary declaration
Comment 20 bourne.identity@hotmail.com 2018-12-07 10:35:44 UTC
Created attachment 199928 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 11)

A minor fix in the app was needed.

I think the port is now final.
Comment 21 bourne.identity@hotmail.com 2018-12-07 11:38:25 UTC
Created attachment 199929 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 12)

Yet another minor fix popped up -- inconsistent header guard names.

The port is now final.
Comment 22 bourne.identity@hotmail.com 2018-12-07 14:21:01 UTC
Created attachment 199933 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 13)

Bug (programming error) spotted in app.

Now fixed.

The port is now final.
Comment 23 bourne.identity@hotmail.com 2018-12-07 14:31:03 UTC
Created attachment 199934 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 14)

Inserted a missing assertion.
Comment 24 bourne.identity@hotmail.com 2018-12-08 01:33:31 UTC
Created attachment 199943 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 15)

Minor improvements in app as well as doc.

Request committers to please proceed with a commit. Any further changes can be aggregated into the next point release.


Thanks.
Manish Jain
Comment 25 bourne.identity@hotmail.com 2018-12-08 02:20:08 UTC
Created attachment 199944 [details]
Diff to be applied for chkascii 1.0 to update to version 1.2 (Attempt# 16)

Heap memory for linked list now being explicitly released.
Comment 26 Mateusz Piotrowski freebsd_committer 2018-12-12 12:40:35 UTC
Thanks, I'm now waiting for the approval to commit: https://reviews.freebsd.org/D18524
Comment 27 Mateusz Piotrowski freebsd_committer 2018-12-12 14:34:02 UTC
Committed! Thank you!
Comment 28 commit-hook freebsd_committer 2018-12-12 14:34:17 UTC
A commit references this bug:

Author: 0mp
Date: Wed Dec 12 14:33:44 UTC 2018
New revision: 487298
URL: https://svnweb.freebsd.org/changeset/ports/487298

Log:
  textproc/chkascii: Update to 1.2

  PR:		233370
  Submitted by:	bourne.identity@hotmail.com (maintainer)
  Approved by:	krion (mentor)
  Differential Revision:	https://reviews.freebsd.org/D18524

Changes:
  head/textproc/chkascii/Makefile
  head/textproc/chkascii/distinfo
Comment 29 Kubilay Kocak freebsd_committer freebsd_triage 2018-12-14 05:35:09 UTC
Assign to committer that resolved
Comment 30 bourne.identity@hotmail.com 2018-12-14 23:11:46 UTC
Kubilay / Mateusz,

Thanks so much for what you have done. I am having a beer for the success of our combined effort.

Please do try my other port mkdesktop in 2019 (right now it only among ports, not pkg).


Regards,
Manish Jain